> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Withdrawal Quote

> Retrieve real-time information about Withdrawal exchange rates and fees. Deprecated: use GET /withdrawals/quotes/pfis (optionally with the pfiName query param) for marketplace-aware pricing. The single-PFI shape returned here is equivalent to element [0] of the /pfis response when filtered to one provider.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/withdrawals/quotes
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/withdrawals/quotes:
    get:
      tags:
        - Transaction / Withdrawals
      summary: Get Withdrawal Quote
      description: >-
        Retrieve real-time information about Withdrawal exchange rates and fees.
        Deprecated: use GET /withdrawals/quotes/pfis (optionally with the
        pfiName query param) for marketplace-aware pricing. The single-PFI shape
        returned here is equivalent to element [0] of the /pfis response when
        filtered to one provider.
      operationId: WithdrawalsController_getQuote
      parameters:
        - name: country
          required: true
          in: query
          description: >-
            The country code in ISO-3166-2 format. See [ISO-3166-2
            documentation](https://www.iso.org/iso-3166-country-codes.html).
          schema:
            $ref: '#/components/schemas/CountryCode'
        - name: fiat
          required: true
          in: query
          description: The fiat currency for the quote.
          schema:
            $ref: '#/components/schemas/FiatCurrencyId'
        - name: asset
          required: true
          in: query
          description: >-
            The token tied to a specific blockchain. See the list of [supported
            Assets](https://docs.buildborderless.com/docs/supported-tokens).
          schema:
            $ref: '#/components/schemas/AssetId'
        - name: paymentMethod
          required: false
          in: query
          description: >-
            The method used to execute the payment instructions. Learn more at
            [Payment Instructions
            Guide](https://docs.buildborderless.com/docs/payment-instructions).
          schema:
            $ref: '#/components/schemas/PaymentMethod'
        - name: fromAmount
          required: false
          in: query
          description: >-
            The amount of fiat currency for Deposit Quote. The amount of asset
            for Withdrawal Quote
          schema:
            example: '10'
            type: string
        - name: toAmount
          required: false
          in: query
          description: >-
            The amount of fiat currency for Withdrawal Quote. The amount of
            asset for Deposit Quote
          schema:
            example: '1'
            type: string
        - name: pfiName
          required: false
          in: query
          description: >-
            Specific PFI to get the quote from. If omitted, the default PFI is
            used.
          schema:
            $ref: '#/components/schemas/PFIName'
      responses:
        '200':
          description: Detailed exchange rates and fee information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteEntity'
        '400':
          description: The Quote data is invalid or incomplete.
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
    PaymentMethod:
      type: string
      enum:
        - ACH
        - Wire
        - Sepa
        - Swift
        - Card
        - MobileMoney
        - PIX
        - TED
        - PSE
        - SPEI
        - COELSA
        - Transfers30
        - SPAV
        - CCE
        - SPI
        - LBTR
        - SINPE
        - Transfer365
        - NIP
        - GhIPSS
        - BankTransfer
        - EFT
        - RTP
        - BECS
        - FPS
        - IMPS_FIRC
        - Breb
        - NPSS
        - MADA
        - ZAHAV
        - IBFT
        - SIC
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Juicyway
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Demo
        - CrissCross
    QuoteEntity:
      type: object
      properties:
        limits:
          $ref: '#/components/schemas/LimitsQuoteEntity'
        fiat:
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        country:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        paymentMethod:
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        fromAmount:
          type: string
          description: From amount of the conversion, e.g 100.
          example: '10'
        toAmount:
          type: string
          description: To amount of the conversion, e.g 100.
          example: '8.99'
        exchangeRate:
          type: string
          description: Exchange rate of the conversion, e.g 1.
          example: '0.999'
        totalFee:
          type: string
          description: Total fees.
          example: '1'
        orchestrationFee:
          type: string
          description: Borderless orchestration fee.
          example: '1'
      required:
        - limits
        - fiat
        - country
        - asset
        - paymentMethod
        - fromAmount
        - toAmount
        - exchangeRate
        - totalFee
        - orchestrationFee
    LimitsQuoteEntity:
      type: object
      properties:
        transaction:
          description: >-
            Limits applied to each individual transaction, defining the minimum
            and maximum allowable amounts.
          allOf:
            - $ref: '#/components/schemas/LimitEntity'
      required:
        - transaction
    LimitEntity:
      type: object
      properties:
        minAmount:
          type: string
          nullable: true
          description: >-
            Minimum allowed amount in fiat currency for the specified limit
            period (e.g., per transaction, day, or year).
          example: '123'
        maxAmount:
          type: string
          nullable: true
          description: >-
            Maximum allowed amount in fiat currency for the specified limit
            period (e.g., per transaction, day, or year).
          example: '123'
        fiat:
          enum:
            - USD
            - EUR
            - BRL
            - ARS
            - MXN
            - COP
            - CLP
            - PEN
            - PYG
            - DOP
            - UYU
            - BOB
            - CRC
            - GTQ
            - BWP
            - CDF
            - GHS
            - KES
            - MWK
            - NGN
            - RWF
            - ZAR
            - TZS
            - UGX
            - ZMW
            - XOF
            - XAF
            - AUD
            - BDT
            - CAD
            - INR
            - JPY
            - NPR
            - PKR
            - PHP
            - SGD
            - GBP
            - CNY
            - HKD
            - IDR
            - MYR
            - KRW
            - LKR
            - THB
            - TRY
            - VND
            - CZK
            - DKK
            - NOK
            - PLN
            - RON
            - RSD
            - SEK
            - CHF
            - AED
            - SAR
            - QAR
            - ILS
            - EGP
            - JOD
            - HNL
            - JMD
            - NZD
            - DZD
            - GMD
            - GNF
            - HTG
            - MAD
            - TND
          type: string
          description: Fiat currency for the minAmount and maxAmount.
          example: USD
      required:
        - fiat
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````